--- a/Makefile.config
+++ b/Makefile.config
@@ -13,13 +13,13 @@ else
         $(info $S      Install libbsd-devel (RPM) / libbsd-dev (DEB) to fix.)
 endif
 
-ifeq ($(call pkg-config-check,libselinux),y)
-        LIBS_FEATURES	+= -lselinux
+ifeq ($(call pkg-config-check,libno_libselinux),y)
+        LIBS_FEATURES	+= -lno_libselinux
         FEATURE_DEFINES	+= -DCONFIG_HAS_SELINUX
 endif
 
-ifeq ($(call pkg-config-check,libbpf),y)
-        LIBS_FEATURES	+= -lbpf
+ifeq ($(call pkg-config-check,libno_libbpf),y)
+        LIBS_FEATURES	+= -lno_libbpf
         FEATURE_DEFINES	+= -DCONFIG_HAS_LIBBPF
         export CONFIG_HAS_LIBBPF := y
 endif
--- a/compel/test/fdspy/Makefile
+++ b/compel/test/fdspy/Makefile
@@ -1,5 +1,5 @@
 CC	:= gcc
-CFLAGS	?= -O2 -g -Wall -Werror
+CFLAGS	?= -O2 -g -Wall
 
 COMPEL		:= ../../../compel/compel-host
 
--- a/compel/test/infect/Makefile
+++ b/compel/test/infect/Makefile
@@ -1,5 +1,5 @@
 CC	:= gcc
-CFLAGS	?= -O2 -g -Wall -Werror
+CFLAGS	?= -O2 -g -Wall
 
 COMPEL		:= ../../../compel/compel-host
 
--- a/compel/test/rsys/Makefile
+++ b/compel/test/rsys/Makefile
@@ -1,5 +1,5 @@
 CC	:= gcc
-CFLAGS	?= -O2 -g -Wall -Werror
+CFLAGS	?= -O2 -g -Wall
 
 COMPEL		:= ../../../compel/compel-host
 
--- a/compel/test/stack/Makefile
+++ b/compel/test/stack/Makefile
@@ -1,5 +1,5 @@
 CC	:= gcc
-CFLAGS	?= -O2 -g -Wall -Werror
+CFLAGS	?= -O2 -g -Wall
 
 COMPEL		:= ../../../compel/compel-host
 
--- a/plugins/amdgpu/Makefile
+++ b/plugins/amdgpu/Makefile
@@ -15,7 +15,7 @@ DEPS_NOK 		:= ;
 __nmk_dir ?= ../../scripts/nmk/scripts/
 include $(__nmk_dir)msg.mk
 
-PLUGIN_CFLAGS  		:= -g -Wall -Werror -D _GNU_SOURCE -shared -nostartfiles -fPIC
+PLUGIN_CFLAGS  		:= -g -Wall -D _GNU_SOURCE -shared -nostartfiles -fPIC
 PLUGIN_LDFLAGS		:= -lpthread -lrt -ldrm -ldrm_amdgpu
 
 ifeq ($(CONFIG_AMDGPU),y)
--- a/plugins/cuda/Makefile
+++ b/plugins/cuda/Makefile
@@ -10,7 +10,7 @@ PLUGIN_INCLUDE  	+= -iquote../../
 
 COMPEL := ../../compel/compel-host
 
-PLUGIN_CFLAGS := -g -Wall -Werror -shared -nostartfiles -fPIC
+PLUGIN_CFLAGS := -g -Wall -shared -nostartfiles -fPIC
 
 __nmk_dir ?= ../../scripts/nmk/scripts/
 include $(__nmk_dir)msg.mk
--- a/test/others/ext-links/Makefile
+++ b/test/others/ext-links/Makefile
@@ -1,4 +1,4 @@
 all: mvlink.so
 
 mvlink.so: mvlink.c
-	gcc -g -Werror -Wall -shared -nostartfiles mvlink.c -o mvlink.so -iquote ../../../criu/include -fPIC
+	gcc -g -Wall -shared -nostartfiles mvlink.c -o mvlink.so -iquote ../../../criu/include -fPIC
--- a/test/others/libcriu/Makefile
+++ b/test/others/libcriu/Makefile
@@ -24,7 +24,7 @@ endef
 $(foreach t, $(TESTS), $(eval $(call genb, $(t))))
 
 %.o: %.c
-	gcc -c $^ -iquote ../../../../criu/criu/include -I../../../../criu/lib/c/ -I../../../../criu/images/ -o $@ -Werror
+	gcc -c $^ -iquote ../../../../criu/criu/include -I../../../../criu/lib/c/ -I../../../../criu/images/ -o $@
 
 clean: libcriu_clean
 	rm -rf $(TESTS) $(TESTS:%=%.o) lib.o
--- a/test/others/mounts/ext/Makefile
+++ b/test/others/mounts/ext/Makefile
@@ -1,7 +1,7 @@
 all: ext-mount.so ns_init
 
 ext-mount.so: ext-mount.c
-	gcc -g -Werror -Wall -shared -nostartfiles ext-mount.c -o ext-mount.so -iquote ../../../include -fPIC
+	gcc -g -Wall -shared -nostartfiles ext-mount.c -o ext-mount.so -iquote ../../../include -fPIC
 
 ns_init: ns_init.o
 	gcc -static $< -o $@
--- a/test/others/rpc/Makefile
+++ b/test/others/rpc/Makefile
@@ -1,7 +1,7 @@
 all: test-c rpc_pb2.py criu
 .PHONY: all
 
-CFLAGS += -g -Werror -Wall -I.
+CFLAGS += -g -Wall -I.
 LDLIBS +=  -lprotobuf-c
 
 PYTHON ?= python3
--- a/test/others/unix-callback/Makefile
+++ b/test/others/unix-callback/Makefile
@@ -7,16 +7,16 @@ unix.pb-c.c: unix.proto
 	protoc-c --proto_path=. --c_out=. unix.proto
 
 unix-lib.so: unix-lib.c unix.pb-c.c
-	gcc -g -Werror -Wall -shared -nostartfiles unix-lib.c unix.pb-c.c -o unix-lib.so -iquote ../../../criu/include -fPIC
+	gcc -g -Wall -shared -nostartfiles unix-lib.c unix.pb-c.c -o unix-lib.so -iquote ../../../criu/include -fPIC
 
 syslog-lib.so: syslog-lib.c
-	gcc -g -Werror -Wall -shared -nostartfiles syslog-lib.c -o syslog-lib.so -iquote ../../../criu/include -fPIC
+	gcc -g -Wall -shared -nostartfiles syslog-lib.c -o syslog-lib.so -iquote ../../../criu/include -fPIC
 
 unix-server: unix-server.c
-	gcc -Werror -Wall -o unix-server unix-server.c
+	gcc -Wall -o unix-server unix-server.c
 
 unix-client: unix-client.c
-	gcc -Werror -Wall -o unix-client unix-client.c
+	gcc -Wall -o unix-client unix-client.c
 
 clean:
 	rm -rf data unix-lib.so unix-server unix-client syslog-lib.so output pid unix.pb-c.*
--- a/test/plugins/Makefile
+++ b/test/plugins/Makefile
@@ -7,7 +7,7 @@ PLUGIN_INCLUDE	:= -iquote../../include
 PLUGIN_INCLUDE	+= -iquote../../criu/include
 PLUGIN_INCLUDE	+= -iquote../../criu/arch/$(ARCH)/include/
 PLUGIN_INCLUDE	+= -iquote../../
-PLUGIN_CFLAGS	:= -g -Wall -Werror -shared -nostartfiles -fPIC
+PLUGIN_CFLAGS	:= -g -Wall -shared -nostartfiles -fPIC
 
 # Silent make rules.
 Q := @
--- a/test/zdtm/Makefile.inc
+++ b/test/zdtm/Makefile.inc
@@ -38,7 +38,7 @@ ifeq ($(origin CC), default)
         CC := $(CROSS_COMPILE)$(HOSTCC)
 endif
 PKG_CONFIG ?= pkg-config
-CFLAGS	+= -g -O2 -Wall -Werror -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0
+CFLAGS	+= -g -O2 -Wall -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0
 CFLAGS	+= -Wdeclaration-after-statement -Wstrict-prototypes
 CFLAGS	+= $(USERCFLAGS) $(ARCHCFLAGS)
 CFLAGS	+= -D_GNU_SOURCE -D_LARGEFILE64_SOURCE
